# config/packages/asset_mapper.yaml
framework:
    asset_mapper:
        # Chemins à rendre disponibles via AssetMapper
        paths:
            - assets/
        
        # Configuration des attributs des balises script générées
        importmap_script_attributes:
            async: true
        
        # Extensions de fichiers à traiter (optionnel, les valeurs par défaut sont généralement suffisantes)
        extensions: ['.js', '.css', '.scss', '.png', '.jpg', '.jpeg', '.gif', '.svg', '.woff', '.woff2', '.ttf', '.eot']
        
        # Exclure les fichiers commençant par un point
        exclude_dotfiles: true
        
        # Patterns à exclure
        excluded_patterns:
            - '*/.*'
        
        # Mode strict pour les imports manquants en développement
        missing_import_mode: strict

# Configuration spécifique pour l'environnement de production
when@prod:
    framework:
        asset_mapper:
            # Mode avertissement pour les imports manquants en production
            missing_import_mode: warn